package com.ruoyi.project.ehs.service.impl;

import com.ruoyi.project.ehs.domain.TMatter;
import com.ruoyi.project.ehs.mapper.TMatterMapper;
import com.ruoyi.project.ehs.service.ITMatterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 工作票-危害物质Service业务层处理
 *
 * @author ruoyi
 * @date 2021-09-22
 */
@Service
public class TMatterServiceImpl implements ITMatterService {
    @Autowired
    private TMatterMapper tMatterMapper;

    /**
     * 查询工作票-危害物质列表
     *
     * @param tMatter 工作票-危害物质
     * @return 工作票-危害物质
     */
    @Override
    public List<TMatter> selectTMatterList(TMatter tMatter) {
        return tMatterMapper.selectTMatterList(tMatter);
    }

    /**
     * 新增工作票-危害物质
     *
     * @param tMatter 工作票-危害物质
     * @return 结果
     */
    @Override
    public int insertTMatter(TMatter tMatter) {
        return tMatterMapper.insertTMatter(tMatter);
    }

    /**
     * 修改工作票-危害物质
     *
     * @param tMatter 工作票-危害物质
     * @return 结果
     */
    @Override
    public int updateTMatter(TMatter tMatter) {
        return tMatterMapper.updateTMatter(tMatter);
    }

    /**
     * 批量删除工作票-危害物质
     *
     * @param ids 需要删除的工作票-危害物质ID
     * @return 结果
     */
    @Override
    public int deleteTMatterByIds(Long[] ids) {
        return tMatterMapper.deleteTMatterByIds(ids);
    }

    /**
     * 删除工作票-危害物质信息
     *
     * @param id 工作票-危害物质ID
     * @return 结果
     */
    @Override
    public int deleteTMatterById(Long id) {
        return tMatterMapper.deleteTMatterById(id);
    }
}
